PROGRAM TEMPERATURE_CONVERSION
!------------------------------------------------------------------------
!   Program to convert a temperature on the Celsius scale to the         
!   corresponding temperature on the Fahrenheit scale. Identifiers                   
!   used are : 
!     CELSIUS_TEMP    : temperature on the Celsius scale                                                 
!     FAHRENHEIT_TEMP : temperature on the Fahrenheit scale                                              
!                                                                      
!  Input:  CELSIUS_TEMP                                                  
!  Output: FAHRENHEIT_TEMP                                               
!-----------------------------------------------------------------------

   IMPLICIT NONE
   REAL :: CELSIUS_TEMP, FAHRENHEIT_TEMP 

! Obtain Celsius temperature
   PRINT *, "Enter temperature in degrees Celsius:"
   READ *, CELSIUS_TEMP

! Calculate corresponding Fahrenheit temperature
   FAHRENHEIT_TEMP = 1.8 * CELSIUS_TEMP + 32.0

! Display FAHRENHEIT_TEMP
   PRINT *, "Fahrenheit temperature is", FAHRENHEIT_TEMP
   STOP
END PROGRAM TEMPERATURE_CONVERSION
